Package ghidra.util.task

# Interface TaskListener

All Known Implementing Classes:
  `AboutDialog`, `AbstractErrDialog`, `AbstractNumberInputDialog`, `AbstractPathsDialog`, `AddEditDialog`, `AddToProgramDialog`, `ApplyEnumDialog`, `AskAddrDialog`, `AskDialog`, `AutocompletingStringConstraintEditor`, `BatchImportDialog`, `BigIntegerNumberInputDialog`, `ChangedFilesDialog`, `CheckoutDialog`, `CheckoutDialog`, `CheckoutsDialog`, `ChooseColumnsDialog`, `ColumnFilterArchiveDialog`, `ColumnFilterDialog`, `CreateThemeDialog`, `DataLoadingConstraintEditor`, `DataTreeDialog`, `DataTypeSelectionDialog`, `DialogComponentProvider`, `EditFieldNameDialog`, `ErrLogDialog`, `ErrLogExpandableDialog`, `ExportThemeDialog`, `ExtensionTableProvider`, `FilterOptionsEditorDialog`, `FindCheckoutsDialog`, `FindDialog`, `GhidraFileChooser`, `GoToAddressLabelDialog`, `ImageDialogProvider`, `ImporterDialog`, `ImporterLanguageDialog`, `InputDialog`, `InputWithChoicesDialog`, `KeyEntryDialog`, `LibraryPathsDialog`, `ListSelectionDialog`, `ListSelectionTableDialog`, `ManagePluginsDialog`, `MultiActionDialog`, `MultiLineInputDialog`, `MultiLineMessageDialog`, `MultipleOptionsDialog`, `NumberInputDialog`, `NumberRangeInputDialog`, `ObjectChooserDialog`, `OkDialog`, `OpenVersionedFileDialog`, `OptionDialog`, `OptionsDialog`, `OptionsDialog`, `PasswordChangeDialog`, `PasswordDialog`, `PickToolDialog`, `PluginInstallerDialog`, `ProjectInfoDialog`, `ReadTextDialog`, `ReusableDialogComponentProvider`, `SaveDataDialog`, `SaveToolConfigDialog`, `ScriptTaskListener`, `SelectChangedToolDialog`, `SelectColumnsDialog`, `SelectFromListDialog`, `SelectLanguageDialog`, `SetEquateDialog`, `SettingsDialog`, `TableChooserDialog`, `TableChooserDialog`, `TableSelectionDialog`, `TaskDialog`, `ThemeChooserDialog`, `ThemeEditorDialog`, `UndoActionDialog`, `UserAgreementDialog`, `ValuesMapDialog`, `VersionControlDialog`, `VersionHistoryDialog`, `WizardManager`

public interface TaskListener
Listener that is notified when a thread completes its task.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `taskCancelled(Task task)`
  Notification that the task was canceled.
  `void`
  `taskCompleted(Task task)`
  Notification that the task completed.

- ## Method Details

  - ### taskCompleted

    void taskCompleted(Task task)
    Notification that the task completed.
    Parameters:
      `task` - the task that was running and is now completed

  - ### taskCancelled

    void taskCancelled(Task task)
    Notification that the task was canceled.
    Parameters:
      `task` - the task that was running and was canceled